Name:           mail-notification
Version:        3.0
Release:        1%{?dist}
Summary:        Status icon that informs you if you have new mail

Group:          Applications/Internet
License:        GPL
URL:            http://www.nongnu.org/mailnotify/
Source0:        http://savannah.nongnu.org/download/mailnotify/mail-notification-3.0.tar.gz
Source1:        mail-notification-README.FEDORA
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext >= 0.14.1
BuildRequires:  eel2-devel >= 2.0
BuildRequires:  desktop-file-utils
BuildRequires:  scrollkeeper
BuildRequires:  openssl-devel  >= 0.9.5b
BuildRequires:  cyrus-sasl-devel >= 2.0
BuildRequires:  gmime-devel >= 2.1
BuildRequires:  libsoup-devel >= 2.2.1
BuildRequires:  gnutls-devel >= 1.0.20
BuildRequires:  libgcrypt-devel >= 1.2.0
BuildRequires:  libicu-devel >= 2.6
BuildRequires:  gob2


Requires(post):   GConf2
Requires(post):   scrollkeeper
Requires(preun):  GConf2
Requires(postun): scrollkeeper

%description
Mail Notification is a status icon (aka tray icon) that informs you if you
have new mail. It works with system trays implementing the freedesktop.org
System Tray Specification, such as the GNOME Panel Notification Area, the
Xfce Notification Area and the KDE System Tray.


%prep
%setup -q
cp %{SOURCE1} ./README.FEDORA


%build
%configure --disable-evolution
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
# For GConf apps: prevent schemas from being installed at this stage
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

desktop-file-install --vendor fedora                   \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/gnome/autostart/  \
  --delete-original                                    \
  --add-category X-Fedora                              \
  ${RPM_BUILD_ROOT}%{_sysconfdir}/xdg/autostart/mail-notification.desktop

desktop-file-install --vendor fedora                   \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications      \
  --delete-original                                    \
  --add-category X-Fedora                              \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/mail-notification-properties.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
# For GConf apps: install schemas as system default
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
/usr/bin/gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null ||:
/usr/bin/scrollkeeper-update -q ||:
mail-notification --unset-obsolete-configuration

%preun
# For GConf apps: uninstall app's system default schemas
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
/usr/bin/gconftool-2 --makefile-uninstall-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :


%postun
/usr/bin/scrollkeeper-update -q ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO README.FEDORA
%{_sysconfdir}/gconf/schemas/mail-notification.schemas
%{_bindir}/*
%{_libdir}/bonobo/servers/GNOME_MailNotification.server
%{_datadir}/%{name}
%{_datadir}/gnome/help/mail-notification/
%{_datadir}/gnome/autostart/fedora-mail-notification.desktop
%{_datadir}/applications/fedora-mail-notification-properties.desktop
%dir %{_datadir}/omf/mail-notification/
%{_datadir}/omf/mail-notification/mail-notification-C.omf
%{_datadir}/pixmaps/mail-notification.png


%changelog
* Sun Jul 02 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  3.0-1
- Update to 3.0
- unset-obsolete-configuration in post

* Tue Sep 13 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 2.0-2
- rebuild for new icu

* Wed Aug 10 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 2.0-1
- Update to 2.0 -- build without evolution support for now (seems it
  needs the whole evo-source)
- Use dist
- Add two patches
- New BR gob2

* Wed May 18 2005 Colin Charles <colin@fedoraproject.org> - 1.1.-3
- bump release, request build for ppc

* Fri Apr  1 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.1-2
- Include mail-notification directory in datadir/omf.

* Mon Mar 07 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:1.1-1
- update to 1.1
- remove gmail build option and add new BR libicu-devel

* Tue Nov 25 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:1.0-0.fdr.1
- update to 1.0

* Tue Nov 16 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.99-0.fdr.1
- update to 0.99
- rename mail-notfication-README.FEDORA to mail-notification-README.FEDORA
- Add BR gnutls-devel and libgcrypt-devel for gmail build

* Tue Nov 09 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.8.1-0.fdr.3
- trim build comment
- own _datadir/gnome/help/mail-notification/
- rename SOURCE1 from README.FEDORA to mail-notfication-README.FEDORA


* Sat Nov 06 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.8.1-0.fdr.2
- Really remove "killall bonobo-activation-server"; Add a README.FEDORA
  which descibes the problem.
- Spilt post,preun,postun sections
- Use --with gmail to build for FC3 with gmail-support

* Thu Nov 04 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.8.1-0.fdr.1
- Update to 0.8.1

* Thu Nov 04 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.8.0-0.fdr.1
- Update to 0.8.0

* Sun Oct 28 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.7.1-0.fdr.1
- Update to 0.7.1
- BR gettext

* Sun Oct 17 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.7.0-0.fdr.1
- Update to 0.7.0
- Add gmime dependency
- No gmailsupport until FC3
- Removed "killall bonobo-activation-server" again -- bad idea it seems

* Tue Sep 14 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.6.2-0.fdr.1
- Update to 0.6.2
- After talkback with program author added "killall bonobo-activation-server"
  to post section

* Sun Aug 29 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.6.1-0.fdr.1
- Initial RPM release.
